Orders
Resolve an uncertain plugin fulfillment
POST
/
api
/
v2
/
orders
/
{shopId}
/
orders
/
{orderId}
/
fulfillment
/
manual-review
/
resolve
Resolve an uncertain plugin fulfillment
curl --request POST \
--url https://api.itemshop.dev/api/v2/orders/{shopId}/orders/{orderId}/fulfillment/manual-review/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"confirmOrderId": "<string>",
"note": "<string>"
}
'import requests
url = "https://api.itemshop.dev/api/v2/orders/{shopId}/orders/{orderId}/fulfillment/manual-review/resolve"
payload = {
"confirmOrderId": "<string>",
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({confirmOrderId: '<string>', note: '<string>'})
};
fetch('https://api.itemshop.dev/api/v2/orders/{shopId}/orders/{orderId}/fulfillment/manual-review/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"_id": "664f1a2b3c4d5e6f7a8b9c0d",
"orderNumber": "3a7b9c2d",
"status": "paid",
"product": {
"id": "664f1a2b3c4d5e6f7a8b9c0d",
"name": "<string>",
"price": 123
},
"customer": {
"nickname": "Steve",
"email": "<string>"
},
"payment": {
"amount": 19.99,
"currency": "PLN",
"fee": {
"percentage": 123,
"amount": 123,
"netAmount": 123
}
},
"vat": {
"enabled": true,
"rate": 23,
"amount": 123,
"netAmount": 123
},
"quantity": 1,
"createdAt": "2023-11-07T05:31:56Z"
},
"message": "<string>"
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I
Resolve an uncertain plugin fulfillment
